# Visualization
TKV2d
AIS2D

# AIS2D_ProjShape Class Reference

Constructs presentable and selectable projection of
TopoDS_Shape on the view plane
.

`#include <AIS2D_ProjShape.hxx>`

Inheritance diagram for AIS2D_ProjShape:

[legend]

## Public Member Functions

Standard_EXPORT | AIS2D_ProjShape ()
| Initializes the projected shape .
Standard_EXPORT | AIS2D_ProjShape (const HLRAlgo_Projector &aProjector, const Standard_Integer nbIsos=3, const Standard_Boolean isPolyAlgo=Standard_False, const Standard_Boolean visHL=Standard_True)
| Initializes the projected shape with projector <aprojector>, number isolines <nbisos> .
Standard_EXPORT void | Add (const TopoDS_Shape &aShape)
| Adds <ashape> to the list of projected shapes. .
Standard_EXPORT void | SetProjector (const HLRAlgo_Projector &aProjector)
| sets the projector <aprojector>
Standard_EXPORT HLRAlgo_Projector | Projector () const
| Indicates the projector .
Standard_EXPORT void | SetNbIsos (const Standard_Integer aNbIsos)
Standard_EXPORT void | SetPolyAlgo (const Standard_Boolean aIsPoly=Standard_False)
| sets the projection of the shape as a polyhedral simplification of the shape if <aispoly> is True
Standard_EXPORT void | SetHLMode (const Standard_Boolean aIsHLM=Standard_True)
| Sets the hidden line mode if <aishlm> is True .
Standard_EXPORT Standard_Boolean | IsHLMode () const
| Indicates the hidden lines are visible .
Standard_EXPORT Standard_Integer | GetNbIsos () const
| Indicates the number of isolines .
Standard_EXPORT Standard_Boolean | GetIsPoly () const
| Indicates the shape was extracted as Algo or PolyAlgo .
Standard_EXPORT Handle_Graphic2d_Line | GetPrimitives () const
| Returns the set of primitives are included into Shape, except hidden lines .
Standard_EXPORT Handle_Graphic2d_Line | GetHLPrimitives () const
| Returns the set of hidden line primitives are included into Shape .
Standard_EXPORT void | ShowEdges (const Standard_Boolean aSharp=Standard_True, const Standard_Boolean aSmooth=Standard_True, const Standard_Boolean aSewn=Standard_True, const Standard_Boolean anOutline=Standard_True, const Standard_Boolean anIsoline=Standard_True)
| Sets the flags for display of all types of edges .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | CreateAlgo ()
Standard_EXPORT void | CreatePolyAlgo ()
Standard_EXPORT void | DrawSegments (const TopoDS_Shape &aShape, Handle(Graphic2d_SetOfSegments)&aSofS)
Standard_EXPORT void | DrawCurves (const TopoDS_Shape &aShape, Handle(GGraphic2d_SetOfCurves)&aSofC)
Standard_EXPORT void | ComputeShape ()

## Private Attributes

TopTools_ListOfShape | myListOfShape
HLRAlgo_Projector | myProjector
Handle_HLRBRep_Algo | myAlgo
Handle_HLRBRep_PolyAlgo | myPolyAlgo
Standard_Integer | myNbIsos
Standard_Boolean | myIsPolyAlgo
Standard_Boolean | myIsHiddenLine
Standard_Boolean | myESharp
Standard_Boolean | myESmooth
Standard_Boolean | myESewn
Standard_Boolean | myEOutline
Standard_Boolean | myEIsoline
Handle_Graphic2d_SetOfSegments | mySetOfSegments
Handle_Graphic2d_SetOfSegments | myHSetOfSegments
Handle_GGraphic2d_SetOfCurves | mySetOfCurves
Handle_GGraphic2d_SetOfCurves | myHSetOfCurves

## Constructor & Destructor Documentation

Standard_EXPORT AIS2D_ProjShape::AIS2D_ProjShape | ( |  | ) |

Standard_EXPORT AIS2D_ProjShape::AIS2D_ProjShape | ( | const HLRAlgo_Projector & | aProjector,
|  | const Standard_Integer | nbIsos = `3`,
|  | const Standard_Boolean | isPolyAlgo = `Standard_False`,
|  | const Standard_Boolean | visHL = `Standard_True`
| ) |

## Member Function Documentation

Standard_EXPORT void AIS2D_ProjShape::Add | ( | const TopoDS_Shape & | aShape | ) |

Standard_EXPORT void AIS2D_ProjShape::ComputeShape | ( |  | ) | `[private]`

Standard_EXPORT void AIS2D_ProjShape::CreateAlgo | ( |  | ) | `[private]`

Standard_EXPORT void AIS2D_ProjShape::CreatePolyAlgo | ( |  | ) | `[private]`

Standard_EXPORT void AIS2D_ProjShape::DrawCurves | ( | const TopoDS_Shape & | aShape,
|  | Handle(GGraphic2d_SetOfCurves)& | aSofC
| ) | `[private]`

Standard_EXPORT void AIS2D_ProjShape::DrawSegments | ( | const TopoDS_Shape & | aShape,
|  | Handle(Graphic2d_SetOfSegments)& | aSofS
| ) | `[private]`

Standard_EXPORT Handle_Graphic2d_Line AIS2D_ProjShape::GetHLPrimitives | ( |  | ) | const

Standard_EXPORT Standard_Boolean AIS2D_ProjShape::GetIsPoly | ( |  | ) | const

Standard_EXPORT Standard_Integer AIS2D_ProjShape::GetNbIsos | ( |  | ) | const

Standard_EXPORT Handle_Graphic2d_Line AIS2D_ProjShape::GetPrimitives | ( |  | ) | const

Standard_EXPORT const AIS2D_ProjShape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AIS2D_InteractiveObject.

Standard_EXPORT Standard_Boolean AIS2D_ProjShape::IsHLMode | ( |  | ) | const

Standard_EXPORT HLRAlgo_Projector AIS2D_ProjShape::Projector | ( |  | ) | const

Standard_EXPORT void AIS2D_ProjShape::SetHLMode | ( | const Standard_Boolean | aIsHLM = `Standard_True` | ) |

Standard_EXPORT void AIS2D_ProjShape::SetNbIsos | ( | const Standard_Integer | aNbIsos | ) |

Standard_EXPORT void AIS2D_ProjShape::SetPolyAlgo | ( | const Standard_Boolean | aIsPoly = `Standard_False` | ) |

Standard_EXPORT void AIS2D_ProjShape::SetProjector | ( | const HLRAlgo_Projector & | aProjector | ) |

Standard_EXPORT void AIS2D_ProjShape::ShowEdges | ( | const Standard_Boolean | aSharp = `Standard_True`,
|  | const Standard_Boolean | aSmooth = `Standard_True`,
|  | const Standard_Boolean | aSewn = `Standard_True`,
|  | const Standard_Boolean | anOutline = `Standard_True`,
|  | const Standard_Boolean | anIsoline = `Standard_True`
| ) |

## Field Documentation

Handle_HLRBRep_Algo AIS2D_ProjShape::myAlgo `[private]`

Standard_Boolean AIS2D_ProjShape::myEIsoline `[private]`

Standard_Boolean AIS2D_ProjShape::myEOutline `[private]`

Standard_Boolean AIS2D_ProjShape::myESewn `[private]`

Standard_Boolean AIS2D_ProjShape::myESharp `[private]`

Standard_Boolean AIS2D_ProjShape::myESmooth `[private]`

Handle_GGraphic2d_SetOfCurves AIS2D_ProjShape::myHSetOfCurves `[private]`

Handle_Graphic2d_SetOfSegments AIS2D_ProjShape::myHSetOfSegments `[private]`

Standard_Boolean AIS2D_ProjShape::myIsHiddenLine `[private]`

Standard_Boolean AIS2D_ProjShape::myIsPolyAlgo `[private]`

TopTools_ListOfShape AIS2D_ProjShape::myListOfShape `[private]`

Standard_Integer AIS2D_ProjShape::myNbIsos `[private]`

Handle_HLRBRep_PolyAlgo AIS2D_ProjShape::myPolyAlgo `[private]`

HLRAlgo_Projector AIS2D_ProjShape::myProjector `[private]`

Handle_GGraphic2d_SetOfCurves AIS2D_ProjShape::mySetOfCurves `[private]`

Handle_Graphic2d_SetOfSegments AIS2D_ProjShape::mySetOfSegments `[private]`

The documentation for this class was generated from the following file:

- AIS2D_ProjShape.hxx